Index event table by ID
POSThttps://app.mitzu.io/api/v1/projects/:project_id/event-tables/:event_table_id/index
Triggers indexing of the selected event table by its ID. Disabled tables return a 400 response.
Request
Path Parameters
project_id stringrequired
The ID of the project
event_table_id stringrequired
The ID of the event table
Responses
- 200
- 400
- 401
- 404
- 405
- 429
OK
- application/json
- Schema
- Example (auto)
Schema
idstring
Unique ID of the task
statestring
Possible values: [queued, running, finished, cancelled]
{
"id": "string",
"state": "queued"
}
The request is invalid.
- application/json
- Schema
- Example (auto)
Schema
messagestring
Example:
Event table is disabled{
"message": "Event table is disabled"
}
The API key header is either missing or an invalid API key is given
Not Found
- application/json
- Schema
- Example (auto)
Schema
messagestring
Example:
Event table not found{
"message": "Event table not found"
}
The requested HTTP method is not allowed.
Too many requests sent with the same API key. Up to 10 requests can be sent within 1 second.
Authorization: x-mitzu-api-key
name: x-mitzu-api-keytype: apiKeydescription: ## API Key You can generate a new API key on the Account Settings -> API keys page. in: header
- python
- curl
- http
- java
- go
- HTTP.CLIENT
- REQUESTS
import http.client
conn = http.client.HTTPSConnection("app.mitzu.io")
payload = ''
headers = {
'Accept': 'application/json',
'x-mitzu-api-key': '<x-mitzu-api-key>'
}
conn.request("POST", "/api/v1/projects/:project_id/event-tables/:event_table_id/index", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
ResponseClear